%global sum     A Qt based frontend for the urpm* package management tools

Name:           qt4urpm
Version:        1.0.1
Release:        %mkrel 20
Summary:        %{sum}
License:        GPLv3
Group:          System/Packaging
URL:            http://www.sf.net/projects/qt4urpm
Source0:        https://sourceforge.net/projects/qt4urpm/files/%{name}-%{version}/%{name}-%{version}.tar.lzma
Source1:        org.freedesktop.qt4urpm.policy
Patch0:         qt4urpm-1.0.1-mga-fix_translations_files_path.patch
Patch1:         qt4urpm-1.0.1-mga-completed_french_translation.patch
Patch2:         qt4urpm-1.0.1-mga-completed_russian_translation.patch
Patch3:         qt4urpm-1.0.1-mga-qt5.patch
Patch4:         qt4urpm-1.0.1-mga-qttranslations.patch
Patch5:         qt4urpm-1.0.1-mga-polkit.patch
Patch6:         qt4urpm-1.0.1-mga-icons.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

Requires:       urpmi
Requires:       polkit
Requires:       gurpmi
Requires:       xterm
Requires:       qttranslations5
# requires for icons
Requires:       oxygen-icon-theme
Requires:       desktop-common-data
Requires:       rpmdrake

%description
qt4urpm is a Qt5 based frontend for the urpm* package management tools,
which provides an intuitive interface to manage orphaned packages and
search for packages that contain a specific file.

%prep
%setup -q
%autopatch -p1

%build
%make_build lrelease
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
cp -pr %{name} %{buildroot}%{_bindir}/
chmod 0755 %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Qt4urpm
Name[fr]=Qt4urpm
GenericName=URPM* package management tools
GenericName[fr]=Outils de gestion de paquet URPM*
GenericName[ru]=Инструменты управления пакетами URPM*
Comment=%{sum}
Comment[fr]=Une interface graphique Qt pour les outils de gestion de paquet URPM*
Comment[ru]=Графический интерфейс на Qt для инструментов управления пакетами URPM*
Exec=%{name}
Icon=packaging_section
Type=Application
Categories=System;Settings;PackageManager;
EOF

mkdir -p %{buildroot}%{_datadir}/%{name}/qm
cp -pr *.qm %{buildroot}%{_datadir}/%{name}/qm/

mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
cp -f %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/polkit-1/actions/org.freedesktop.%{name}.policy


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 1.0.1-20.mga9
+ Revision: 1842186
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.0.1-19.mga8
+ Revision: 1659560
- Rebuild for new Qt5

* Wed Apr 15 2020 danf <danf> 1.0.1-18.mga8
+ Revision: 1567473
- Fix Comment= in .desktop file to stop referring to debug sources
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.0.1-17.mga8
+ Revision: 1525009
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 1.0.1-16.mga7
+ Revision: 1384286
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-15.mga7
+ Revision: 1300687
- Mageia 7 Mass Rebuild

* Tue Mar 15 2016 daviddavid <daviddavid> 1.0.1-14.mga6
+ Revision: 990901
- rediff qttranslations patch (since fixed autopatch)

* Tue Feb 23 2016 daviddavid <daviddavid> 1.0.1-13.mga6
+ Revision: 977388
- shorten name of qt4urpm policy file
- fix incomplete pkexec command (must be "pkexec [PATH_OF_PROGRAM]")
+ alexl <alexl>
- update translations for using polkit instead of libkdesu5
- revert r972426
- add requires for icons
- use polkit instead of kdesu
- fix deprecated mandriva icon
- use packaging_section icon for both desktop file and policy file

* Sat Feb 20 2016 daviddavid <daviddavid> 1.0.1-12.mga6
+ Revision: 972426
- switch to kdesu from KF5 (Requires kde-cli-tools)
+ alexl <alexl>
- switch build to Qt5
- fix qt translations
- add requires oxygen-icon-theme for desktop file icon

* Tue Feb 09 2016 umeabot <umeabot> 1.0.1-11.mga6
+ Revision: 952286
- Mageia 6 Mass Rebuild

* Tue Feb 10 2015 alexl <alexl> 1.0.1-10.mga5
+ Revision: 814567
- add patch to completed russian translations
- add GenericName in desktop file

* Mon Feb 09 2015 daviddavid <daviddavid> 1.0.1-9.mga5
+ Revision: 814378
- update Source0 link-url
- add patch to fix translations path
- add patch to completed french translations
  * thanks to Adrien Daugabel, Antoine Dumondel and David Geiger
- fix owns qt4urpm data folder

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 743897
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 688532
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-6.mga4
+ Revision: 521425
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.0.1-5.mga3
+ Revision: 390800
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 379962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 pterjan <pterjan> 1.0.1-3.mga3
+ Revision: 323194
- Fix desktop file
- Get it to build on x86_64
- Drop empty pre section

* Tue May 03 2011 obgr_seneca <obgr_seneca> 1.0.1-2.mga1
+ Revision: 94471
- corrected requires from libkdesu5 to kdebase4-runtime

* Wed Apr 27 2011 obgr_seneca <obgr_seneca> 1.0.1-1.mga1
+ Revision: 92020
- removed dot from summary
- imported package qt4urpm


* Wed Apr 27 2011 Oliver Burger <oliver.bgr@googlemail.com> 1.0.1-1.mga1
- imported into Mga
- cleaned up spec file

* Sun Apr 22 2011 Nasenbaer <nasenbaer_peter@users.sf.net> 1.0.1
- Bugfixes and small improvements - from now on only using kdesu and no more gkso

* Sat Sep 04 2010 Nasenbaer <nasenbaer_peter@users.sf.net> 1.0
- Last wish was implemented: CheckBox to disable the pre start warn message.

* Sat Feb 23 2010 Nasenbaer <nasenbaer_peter@users.sf.net> 0.9.1.1
- Release number jump: All wished features for 1.0 are implemented now!
  -> RC 1 for version 1.0

* Sat Jan 30 2010 Nasenbaer <nasenbaer_peter@users.sf.net> 0.2.2.1
- Bugfix release: Correctly show message in Warning boxes.

* Sun Jan 24 2010 Nasenbaer <nasenbaer_peter@users.sf.net> 0.2.2
- Improved version with use of own Dialog for user interaction instead of MessageBox

* Wed Dec 30 2009 Nasenbaer <nasenbaer_peter@users.sf.net> 0.2.1
- Prebuild with localisation

* Sun Dec 13 2009 Nasenbaer <nasenbaer_peter@users.sf.net> 0.1.1
- Initial spec version
